Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
243f::/16
First address
243f::
Last address
243f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
243f:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
f.3.4.2.ip6.arpa
Split into smaller subnets/32

243f::/16 makes 65,536 subnets of /32; the first 256 are listed.

Subnets
#SubnetLast address
1243f::/32243f:0:ffff:ffff:ffff:ffff:ffff:ffff
2243f:1::/32243f:1:ffff:ffff:ffff:ffff:ffff:ffff
3243f:2::/32243f:2:ffff:ffff:ffff:ffff:ffff:ffff
4243f:3::/32243f:3:ffff:ffff:ffff:ffff:ffff:ffff
5243f:4::/32243f:4:ffff:ffff:ffff:ffff:ffff:ffff
6243f:5::/32243f:5:ffff:ffff:ffff:ffff:ffff:ffff
7243f:6::/32243f:6:ffff:ffff:ffff:ffff:ffff:ffff
8243f:7::/32243f:7:ffff:ffff:ffff:ffff:ffff:ffff
9243f:8::/32243f:8:ffff:ffff:ffff:ffff:ffff:ffff
10243f:9::/32243f:9:ffff:ffff:ffff:ffff:ffff:ffff
11243f:a::/32243f:a:ffff:ffff:ffff:ffff:ffff:ffff
12243f:b::/32243f:b:ffff:ffff:ffff:ffff:ffff:ffff
13243f:c::/32243f:c:ffff:ffff:ffff:ffff:ffff:ffff
14243f:d::/32243f:d:ffff:ffff:ffff:ffff:ffff:ffff
15243f:e::/32243f:e:ffff:ffff:ffff:ffff:ffff:ffff
16243f:f::/32243f:f:ffff:ffff:ffff:ffff:ffff:ffff
17243f:10::/32243f:10:ffff:ffff:ffff:ffff:ffff:ffff
18243f:11::/32243f:11:ffff:ffff:ffff:ffff:ffff:ffff
19243f:12::/32243f:12:ffff:ffff:ffff:ffff:ffff:ffff
20243f:13::/32243f:13:ffff:ffff:ffff:ffff:ffff:ffff
21243f:14::/32243f:14:ffff:ffff:ffff:ffff:ffff:ffff
22243f:15::/32243f:15:ffff:ffff:ffff:ffff:ffff:ffff
23243f:16::/32243f:16:ffff:ffff:ffff:ffff:ffff:ffff
24243f:17::/32243f:17:ffff:ffff:ffff:ffff:ffff:ffff
25243f:18::/32243f:18:ffff:ffff:ffff:ffff:ffff:ffff
26243f:19::/32243f:19:ffff:ffff:ffff:ffff:ffff:ffff
27243f:1a::/32243f:1a:ffff:ffff:ffff:ffff:ffff:ffff
28243f:1b::/32243f:1b:ffff:ffff:ffff:ffff:ffff:ffff
29243f:1c::/32243f:1c:ffff:ffff:ffff:ffff:ffff:ffff
30243f:1d::/32243f:1d:ffff:ffff:ffff:ffff:ffff:ffff
31243f:1e::/32243f:1e:ffff:ffff:ffff:ffff:ffff:ffff
32243f:1f::/32243f:1f:ffff:ffff:ffff:ffff:ffff:ffff
33243f:20::/32243f:20:ffff:ffff:ffff:ffff:ffff:ffff
34243f:21::/32243f:21:ffff:ffff:ffff:ffff:ffff:ffff
35243f:22::/32243f:22:ffff:ffff:ffff:ffff:ffff:ffff
36243f:23::/32243f:23:ffff:ffff:ffff:ffff:ffff:ffff
37243f:24::/32243f:24:ffff:ffff:ffff:ffff:ffff:ffff
38243f:25::/32243f:25:ffff:ffff:ffff:ffff:ffff:ffff
39243f:26::/32243f:26:ffff:ffff:ffff:ffff:ffff:ffff
40243f:27::/32243f:27:ffff:ffff:ffff:ffff:ffff:ffff
41243f:28::/32243f:28:ffff:ffff:ffff:ffff:ffff:ffff
42243f:29::/32243f:29:ffff:ffff:ffff:ffff:ffff:ffff
43243f:2a::/32243f:2a:ffff:ffff:ffff:ffff:ffff:ffff
44243f:2b::/32243f:2b:ffff:ffff:ffff:ffff:ffff:ffff
45243f:2c::/32243f:2c:ffff:ffff:ffff:ffff:ffff:ffff
46243f:2d::/32243f:2d:ffff:ffff:ffff:ffff:ffff:ffff
47243f:2e::/32243f:2e:ffff:ffff:ffff:ffff:ffff:ffff
48243f:2f::/32243f:2f:ffff:ffff:ffff:ffff:ffff:ffff
49243f:30::/32243f:30:ffff:ffff:ffff:ffff:ffff:ffff
50243f:31::/32243f:31:ffff:ffff:ffff:ffff:ffff:ffff
51243f:32::/32243f:32:ffff:ffff:ffff:ffff:ffff:ffff
52243f:33::/32243f:33:ffff:ffff:ffff:ffff:ffff:ffff
53243f:34::/32243f:34:ffff:ffff:ffff:ffff:ffff:ffff
54243f:35::/32243f:35:ffff:ffff:ffff:ffff:ffff:ffff
55243f:36::/32243f:36:ffff:ffff:ffff:ffff:ffff:ffff
56243f:37::/32243f:37:ffff:ffff:ffff:ffff:ffff:ffff
57243f:38::/32243f:38:ffff:ffff:ffff:ffff:ffff:ffff
58243f:39::/32243f:39:ffff:ffff:ffff:ffff:ffff:ffff
59243f:3a::/32243f:3a:ffff:ffff:ffff:ffff:ffff:ffff
60243f:3b::/32243f:3b:ffff:ffff:ffff:ffff:ffff:ffff
61243f:3c::/32243f:3c:ffff:ffff:ffff:ffff:ffff:ffff
62243f:3d::/32243f:3d:ffff:ffff:ffff:ffff:ffff:ffff
63243f:3e::/32243f:3e:ffff:ffff:ffff:ffff:ffff:ffff
64243f:3f::/32243f:3f:ffff:ffff:ffff:ffff:ffff:ffff
65243f:40::/32243f:40:ffff:ffff:ffff:ffff:ffff:ffff
66243f:41::/32243f:41:ffff:ffff:ffff:ffff:ffff:ffff
67243f:42::/32243f:42:ffff:ffff:ffff:ffff:ffff:ffff
68243f:43::/32243f:43:ffff:ffff:ffff:ffff:ffff:ffff
69243f:44::/32243f:44:ffff:ffff:ffff:ffff:ffff:ffff
70243f:45::/32243f:45:ffff:ffff:ffff:ffff:ffff:ffff
71243f:46::/32243f:46:ffff:ffff:ffff:ffff:ffff:ffff
72243f:47::/32243f:47:ffff:ffff:ffff:ffff:ffff:ffff
73243f:48::/32243f:48:ffff:ffff:ffff:ffff:ffff:ffff
74243f:49::/32243f:49:ffff:ffff:ffff:ffff:ffff:ffff
75243f:4a::/32243f:4a:ffff:ffff:ffff:ffff:ffff:ffff
76243f:4b::/32243f:4b:ffff:ffff:ffff:ffff:ffff:ffff
77243f:4c::/32243f:4c:ffff:ffff:ffff:ffff:ffff:ffff
78243f:4d::/32243f:4d:ffff:ffff:ffff:ffff:ffff:ffff
79243f:4e::/32243f:4e:ffff:ffff:ffff:ffff:ffff:ffff
80243f:4f::/32243f:4f:ffff:ffff:ffff:ffff:ffff:ffff
81243f:50::/32243f:50:ffff:ffff:ffff:ffff:ffff:ffff
82243f:51::/32243f:51:ffff:ffff:ffff:ffff:ffff:ffff
83243f:52::/32243f:52:ffff:ffff:ffff:ffff:ffff:ffff
84243f:53::/32243f:53:ffff:ffff:ffff:ffff:ffff:ffff
85243f:54::/32243f:54:ffff:ffff:ffff:ffff:ffff:ffff
86243f:55::/32243f:55:ffff:ffff:ffff:ffff:ffff:ffff
87243f:56::/32243f:56:ffff:ffff:ffff:ffff:ffff:ffff
88243f:57::/32243f:57:ffff:ffff:ffff:ffff:ffff:ffff
89243f:58::/32243f:58:ffff:ffff:ffff:ffff:ffff:ffff
90243f:59::/32243f:59:ffff:ffff:ffff:ffff:ffff:ffff
91243f:5a::/32243f:5a:ffff:ffff:ffff:ffff:ffff:ffff
92243f:5b::/32243f:5b:ffff:ffff:ffff:ffff:ffff:ffff
93243f:5c::/32243f:5c:ffff:ffff:ffff:ffff:ffff:ffff
94243f:5d::/32243f:5d:ffff:ffff:ffff:ffff:ffff:ffff
95243f:5e::/32243f:5e:ffff:ffff:ffff:ffff:ffff:ffff
96243f:5f::/32243f:5f:ffff:ffff:ffff:ffff:ffff:ffff
97243f:60::/32243f:60:ffff:ffff:ffff:ffff:ffff:ffff
98243f:61::/32243f:61:ffff:ffff:ffff:ffff:ffff:ffff
99243f:62::/32243f:62:ffff:ffff:ffff:ffff:ffff:ffff
100243f:63::/32243f:63:ffff:ffff:ffff:ffff:ffff:ffff
101243f:64::/32243f:64:ffff:ffff:ffff:ffff:ffff:ffff
102243f:65::/32243f:65:ffff:ffff:ffff:ffff:ffff:ffff
103243f:66::/32243f:66:ffff:ffff:ffff:ffff:ffff:ffff
104243f:67::/32243f:67:ffff:ffff:ffff:ffff:ffff:ffff
105243f:68::/32243f:68:ffff:ffff:ffff:ffff:ffff:ffff
106243f:69::/32243f:69:ffff:ffff:ffff:ffff:ffff:ffff
107243f:6a::/32243f:6a:ffff:ffff:ffff:ffff:ffff:ffff
108243f:6b::/32243f:6b:ffff:ffff:ffff:ffff:ffff:ffff
109243f:6c::/32243f:6c:ffff:ffff:ffff:ffff:ffff:ffff
110243f:6d::/32243f:6d:ffff:ffff:ffff:ffff:ffff:ffff
111243f:6e::/32243f:6e:ffff:ffff:ffff:ffff:ffff:ffff
112243f:6f::/32243f:6f:ffff:ffff:ffff:ffff:ffff:ffff
113243f:70::/32243f:70:ffff:ffff:ffff:ffff:ffff:ffff
114243f:71::/32243f:71:ffff:ffff:ffff:ffff:ffff:ffff
115243f:72::/32243f:72:ffff:ffff:ffff:ffff:ffff:ffff
116243f:73::/32243f:73:ffff:ffff:ffff:ffff:ffff:ffff
117243f:74::/32243f:74:ffff:ffff:ffff:ffff:ffff:ffff
118243f:75::/32243f:75:ffff:ffff:ffff:ffff:ffff:ffff
119243f:76::/32243f:76:ffff:ffff:ffff:ffff:ffff:ffff
120243f:77::/32243f:77:ffff:ffff:ffff:ffff:ffff:ffff
121243f:78::/32243f:78:ffff:ffff:ffff:ffff:ffff:ffff
122243f:79::/32243f:79:ffff:ffff:ffff:ffff:ffff:ffff
123243f:7a::/32243f:7a:ffff:ffff:ffff:ffff:ffff:ffff
124243f:7b::/32243f:7b:ffff:ffff:ffff:ffff:ffff:ffff
125243f:7c::/32243f:7c:ffff:ffff:ffff:ffff:ffff:ffff
126243f:7d::/32243f:7d:ffff:ffff:ffff:ffff:ffff:ffff
127243f:7e::/32243f:7e:ffff:ffff:ffff:ffff:ffff:ffff
128243f:7f::/32243f:7f:ffff:ffff:ffff:ffff:ffff:ffff
129243f:80::/32243f:80:ffff:ffff:ffff:ffff:ffff:ffff
130243f:81::/32243f:81:ffff:ffff:ffff:ffff:ffff:ffff
131243f:82::/32243f:82:ffff:ffff:ffff:ffff:ffff:ffff
132243f:83::/32243f:83:ffff:ffff:ffff:ffff:ffff:ffff
133243f:84::/32243f:84:ffff:ffff:ffff:ffff:ffff:ffff
134243f:85::/32243f:85:ffff:ffff:ffff:ffff:ffff:ffff
135243f:86::/32243f:86:ffff:ffff:ffff:ffff:ffff:ffff
136243f:87::/32243f:87:ffff:ffff:ffff:ffff:ffff:ffff
137243f:88::/32243f:88:ffff:ffff:ffff:ffff:ffff:ffff
138243f:89::/32243f:89:ffff:ffff:ffff:ffff:ffff:ffff
139243f:8a::/32243f:8a:ffff:ffff:ffff:ffff:ffff:ffff
140243f:8b::/32243f:8b:ffff:ffff:ffff:ffff:ffff:ffff
141243f:8c::/32243f:8c:ffff:ffff:ffff:ffff:ffff:ffff
142243f:8d::/32243f:8d:ffff:ffff:ffff:ffff:ffff:ffff
143243f:8e::/32243f:8e:ffff:ffff:ffff:ffff:ffff:ffff
144243f:8f::/32243f:8f:ffff:ffff:ffff:ffff:ffff:ffff
145243f:90::/32243f:90:ffff:ffff:ffff:ffff:ffff:ffff
146243f:91::/32243f:91:ffff:ffff:ffff:ffff:ffff:ffff
147243f:92::/32243f:92:ffff:ffff:ffff:ffff:ffff:ffff
148243f:93::/32243f:93:ffff:ffff:ffff:ffff:ffff:ffff
149243f:94::/32243f:94:ffff:ffff:ffff:ffff:ffff:ffff
150243f:95::/32243f:95:ffff:ffff:ffff:ffff:ffff:ffff
151243f:96::/32243f:96:ffff:ffff:ffff:ffff:ffff:ffff
152243f:97::/32243f:97:ffff:ffff:ffff:ffff:ffff:ffff
153243f:98::/32243f:98:ffff:ffff:ffff:ffff:ffff:ffff
154243f:99::/32243f:99:ffff:ffff:ffff:ffff:ffff:ffff
155243f:9a::/32243f:9a:ffff:ffff:ffff:ffff:ffff:ffff
156243f:9b::/32243f:9b:ffff:ffff:ffff:ffff:ffff:ffff
157243f:9c::/32243f:9c:ffff:ffff:ffff:ffff:ffff:ffff
158243f:9d::/32243f:9d:ffff:ffff:ffff:ffff:ffff:ffff
159243f:9e::/32243f:9e:ffff:ffff:ffff:ffff:ffff:ffff
160243f:9f::/32243f:9f:ffff:ffff:ffff:ffff:ffff:ffff
161243f:a0::/32243f:a0:ffff:ffff:ffff:ffff:ffff:ffff
162243f:a1::/32243f:a1:ffff:ffff:ffff:ffff:ffff:ffff
163243f:a2::/32243f:a2:ffff:ffff:ffff:ffff:ffff:ffff
164243f:a3::/32243f:a3:ffff:ffff:ffff:ffff:ffff:ffff
165243f:a4::/32243f:a4:ffff:ffff:ffff:ffff:ffff:ffff
166243f:a5::/32243f:a5:ffff:ffff:ffff:ffff:ffff:ffff
167243f:a6::/32243f:a6:ffff:ffff:ffff:ffff:ffff:ffff
168243f:a7::/32243f:a7:ffff:ffff:ffff:ffff:ffff:ffff
169243f:a8::/32243f:a8:ffff:ffff:ffff:ffff:ffff:ffff
170243f:a9::/32243f:a9:ffff:ffff:ffff:ffff:ffff:ffff
171243f:aa::/32243f:aa:ffff:ffff:ffff:ffff:ffff:ffff
172243f:ab::/32243f:ab:ffff:ffff:ffff:ffff:ffff:ffff
173243f:ac::/32243f:ac:ffff:ffff:ffff:ffff:ffff:ffff
174243f:ad::/32243f:ad:ffff:ffff:ffff:ffff:ffff:ffff
175243f:ae::/32243f:ae:ffff:ffff:ffff:ffff:ffff:ffff
176243f:af::/32243f:af:ffff:ffff:ffff:ffff:ffff:ffff
177243f:b0::/32243f:b0:ffff:ffff:ffff:ffff:ffff:ffff
178243f:b1::/32243f:b1:ffff:ffff:ffff:ffff:ffff:ffff
179243f:b2::/32243f:b2:ffff:ffff:ffff:ffff:ffff:ffff
180243f:b3::/32243f:b3:ffff:ffff:ffff:ffff:ffff:ffff
181243f:b4::/32243f:b4:ffff:ffff:ffff:ffff:ffff:ffff
182243f:b5::/32243f:b5:ffff:ffff:ffff:ffff:ffff:ffff
183243f:b6::/32243f:b6:ffff:ffff:ffff:ffff:ffff:ffff
184243f:b7::/32243f:b7:ffff:ffff:ffff:ffff:ffff:ffff
185243f:b8::/32243f:b8:ffff:ffff:ffff:ffff:ffff:ffff
186243f:b9::/32243f:b9:ffff:ffff:ffff:ffff:ffff:ffff
187243f:ba::/32243f:ba:ffff:ffff:ffff:ffff:ffff:ffff
188243f:bb::/32243f:bb:ffff:ffff:ffff:ffff:ffff:ffff
189243f:bc::/32243f:bc:ffff:ffff:ffff:ffff:ffff:ffff
190243f:bd::/32243f:bd:ffff:ffff:ffff:ffff:ffff:ffff
191243f:be::/32243f:be:ffff:ffff:ffff:ffff:ffff:ffff
192243f:bf::/32243f:bf:ffff:ffff:ffff:ffff:ffff:ffff
193243f:c0::/32243f:c0:ffff:ffff:ffff:ffff:ffff:ffff
194243f:c1::/32243f:c1:ffff:ffff:ffff:ffff:ffff:ffff
195243f:c2::/32243f:c2:ffff:ffff:ffff:ffff:ffff:ffff
196243f:c3::/32243f:c3:ffff:ffff:ffff:ffff:ffff:ffff
197243f:c4::/32243f:c4:ffff:ffff:ffff:ffff:ffff:ffff
198243f:c5::/32243f:c5:ffff:ffff:ffff:ffff:ffff:ffff
199243f:c6::/32243f:c6:ffff:ffff:ffff:ffff:ffff:ffff
200243f:c7::/32243f:c7:ffff:ffff:ffff:ffff:ffff:ffff
201243f:c8::/32243f:c8:ffff:ffff:ffff:ffff:ffff:ffff
202243f:c9::/32243f:c9:ffff:ffff:ffff:ffff:ffff:ffff
203243f:ca::/32243f:ca:ffff:ffff:ffff:ffff:ffff:ffff
204243f:cb::/32243f:cb:ffff:ffff:ffff:ffff:ffff:ffff
205243f:cc::/32243f:cc:ffff:ffff:ffff:ffff:ffff:ffff
206243f:cd::/32243f:cd:ffff:ffff:ffff:ffff:ffff:ffff
207243f:ce::/32243f:ce:ffff:ffff:ffff:ffff:ffff:ffff
208243f:cf::/32243f:cf:ffff:ffff:ffff:ffff:ffff:ffff
209243f:d0::/32243f:d0:ffff:ffff:ffff:ffff:ffff:ffff
210243f:d1::/32243f:d1:ffff:ffff:ffff:ffff:ffff:ffff
211243f:d2::/32243f:d2:ffff:ffff:ffff:ffff:ffff:ffff
212243f:d3::/32243f:d3:ffff:ffff:ffff:ffff:ffff:ffff
213243f:d4::/32243f:d4:ffff:ffff:ffff:ffff:ffff:ffff
214243f:d5::/32243f:d5:ffff:ffff:ffff:ffff:ffff:ffff
215243f:d6::/32243f:d6:ffff:ffff:ffff:ffff:ffff:ffff
216243f:d7::/32243f:d7:ffff:ffff:ffff:ffff:ffff:ffff
217243f:d8::/32243f:d8:ffff:ffff:ffff:ffff:ffff:ffff
218243f:d9::/32243f:d9:ffff:ffff:ffff:ffff:ffff:ffff
219243f:da::/32243f:da:ffff:ffff:ffff:ffff:ffff:ffff
220243f:db::/32243f:db:ffff:ffff:ffff:ffff:ffff:ffff
221243f:dc::/32243f:dc:ffff:ffff:ffff:ffff:ffff:ffff
222243f:dd::/32243f:dd:ffff:ffff:ffff:ffff:ffff:ffff
223243f:de::/32243f:de:ffff:ffff:ffff:ffff:ffff:ffff
224243f:df::/32243f:df:ffff:ffff:ffff:ffff:ffff:ffff
225243f:e0::/32243f:e0:ffff:ffff:ffff:ffff:ffff:ffff
226243f:e1::/32243f:e1:ffff:ffff:ffff:ffff:ffff:ffff
227243f:e2::/32243f:e2:ffff:ffff:ffff:ffff:ffff:ffff
228243f:e3::/32243f:e3:ffff:ffff:ffff:ffff:ffff:ffff
229243f:e4::/32243f:e4:ffff:ffff:ffff:ffff:ffff:ffff
230243f:e5::/32243f:e5:ffff:ffff:ffff:ffff:ffff:ffff
231243f:e6::/32243f:e6:ffff:ffff:ffff:ffff:ffff:ffff
232243f:e7::/32243f:e7:ffff:ffff:ffff:ffff:ffff:ffff
233243f:e8::/32243f:e8:ffff:ffff:ffff:ffff:ffff:ffff
234243f:e9::/32243f:e9:ffff:ffff:ffff:ffff:ffff:ffff
235243f:ea::/32243f:ea:ffff:ffff:ffff:ffff:ffff:ffff
236243f:eb::/32243f:eb:ffff:ffff:ffff:ffff:ffff:ffff
237243f:ec::/32243f:ec:ffff:ffff:ffff:ffff:ffff:ffff
238243f:ed::/32243f:ed:ffff:ffff:ffff:ffff:ffff:ffff
239243f:ee::/32243f:ee:ffff:ffff:ffff:ffff:ffff:ffff
240243f:ef::/32243f:ef:ffff:ffff:ffff:ffff:ffff:ffff
241243f:f0::/32243f:f0:ffff:ffff:ffff:ffff:ffff:ffff
242243f:f1::/32243f:f1:ffff:ffff:ffff:ffff:ffff:ffff
243243f:f2::/32243f:f2:ffff:ffff:ffff:ffff:ffff:ffff
244243f:f3::/32243f:f3:ffff:ffff:ffff:ffff:ffff:ffff
245243f:f4::/32243f:f4:ffff:ffff:ffff:ffff:ffff:ffff
246243f:f5::/32243f:f5:ffff:ffff:ffff:ffff:ffff:ffff
247243f:f6::/32243f:f6:ffff:ffff:ffff:ffff:ffff:ffff
248243f:f7::/32243f:f7:ffff:ffff:ffff:ffff:ffff:ffff
249243f:f8::/32243f:f8:ffff:ffff:ffff:ffff:ffff:ffff
250243f:f9::/32243f:f9:ffff:ffff:ffff:ffff:ffff:ffff
251243f:fa::/32243f:fa:ffff:ffff:ffff:ffff:ffff:ffff
252243f:fb::/32243f:fb:ffff:ffff:ffff:ffff:ffff:ffff
253243f:fc::/32243f:fc:ffff:ffff:ffff:ffff:ffff:ffff
254243f:fd::/32243f:fd:ffff:ffff:ffff:ffff:ffff:ffff
255243f:fe::/32243f:fe:ffff:ffff:ffff:ffff:ffff:ffff
256243f:ff::/32243f:ff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses